"""Endpoint for displaying the main homepage of the application"""
import flask


def display_home() -> str:
    """Display the home page

    :returns: A response rendering the home page template
    """

    def _render_template() -> str:
        """Stub function to type, enumerate, and document the template parameters

        :param version: Semantic version of the currently running application
        :param common_urls: Container of common application URLs used in mutliple templates
        :param testers: List of tester names that the logged in user can read to link to for
                       easy access search access
        :param messages: Optional list of Flask flash messages to render as popup notifications
        """
        return flask.render_template(
            "home.html.j2",
        )

    return _render_template()
